## org.eclipse.emf.ecoretools.diagram.providers
Class EcoreContributionItemProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.ui.services.action.contributionitem.AbstractContributionItemProvider
              org.eclipse.emf.ecoretools.diagram.providers.EcoreContributionItemProvider

All Implemented Interfaces:
  org.eclipse.gmf.runtime.common.core.service.IProvider, org.eclipse.gmf.runtime.common.ui.services.action.internal.contributionitem.IContributionDescriptorReader, org.eclipse.gmf.runtime.common.ui.services.action.internal.contributionitem.IContributionItemProvider

    public class EcoreContributionItemProvider

extends org.eclipse.gmf.runtime.common.ui.services.action.contributionitem.AbstractContributionItemProvider

Constructor Summary
`EcoreContributionItemProvider()`

Method Summary
`protected org.eclipse.jface.action.IAction` `createAction(java.lang.String actionId, org.eclipse.gmf.runtime.common.ui.util.IWorkbenchPartDescriptor partDescriptor)`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.services.action.contributionitem.AbstractContributionItemProvider
`contributeToActionBars, contributeToPopupMenu, createActionGroup, createCustomContributionItem, createMenuManager, disposeContributions, getAction, getAction, getActionFromRegistry, getActionGroup, getSelectedObject, getStructuredSelection, provides, setContributionDescriptor, updateActionBars`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### EcoreContributionItemProvider

    public EcoreContributionItemProvider()

Method Detail

### createAction

    protected org.eclipse.jface.action.IAction createAction(java.lang.String actionId,
                                                            org.eclipse.gmf.runtime.common.ui.util.IWorkbenchPartDescriptor partDescriptor)

  Overrides:
    `createAction` in class `org.eclipse.gmf.runtime.common.ui.services.action.contributionitem.AbstractContributionItemProvider`

Copyright 2007 Anyware Technologies. All Rights Reserved.